class PriceHellper {
    sumPrices(values) {
        let total = 0;
        values.forEach((val) => {
            total += parseFloat(val);
        });

        return total;
    }

    getSelectedPrice(curentPackage, selectedAgreement) {
        return curentPackage.prices.find(price => {
            return price.idPaymentType === selectedAgreement.idPaymentType;
        });
    }

    hasFixedPrice(selectedPrice) {
        return selectedPrice;
    }

    hasRecurrentPrice(selectedPrice){
        return selectedPrice && (selectedPrice.recurrentExtra > 0 || selectedPrice.servicesExtra > 0);
    }

    calculateCartItemTotal(cartItem) {

    }

}

export default PriceHellper;
